BDU:2017-02299: Уязвимость функции load_multiboot (hw/i386/multiboot.c) эмулятора аппаратного обеспечения QEMU, позволяющая нарушителю выполнить произвольный код

Описание уязвимости Уязвимость функции load_multiboot (hw/i386/multiboot.c) эмулятора аппаратного обеспечения QEMU вызвана целочисленным переполнением. Эксплуатация уязвимости может позволить нарушителю, действующему в локальной гостевой операционной системе, выполнить произвольный код в хостовой операционной системе с помощью специально сформированного мультизагрузочного заголовка
Вендор Фабрис Беллар
Наименование ПО QEMU
Версия ПО
Тип ПО ПО виртуализации/ПО виртуального программно-аппаратного средства
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Целочисленное переполнение или циклический сдвиг
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 05.09.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,2)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,6)
Возможные меры по устранению уязвимости
Использование рекомендаций: https://lists.nongnu.org/archive/html/qemu-devel/2017-09/msg01032.html
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения